﻿using Lab3.Database.DTO;

namespace Lab3.Database.Repository.Interfaces
{
    public interface IStudentRepository
    {
        public Task<List<StudentDTO>> GetAsync(int limit = 10000, int offset = 0);

        public Task<StudentDTO> GetAsync(Guid id);

        public Task<StudentDTO?> UpdateAsync(StudentDTO studentDTO);
        
        public Task<StudentDTO> DeleteAsync(Guid id);

        public Task<StudentDTO> CreateAsync(StudentDTO studentDTO);
    }
}
