﻿using Lab3.Database.DTO;
using System.Globalization;

namespace Lab3.Models
{
    public record StudentViewModel : StudentDTO
    {
        public string SessionMarks => string.Join("; ", StudentSessions
            .Select(s => string.Format(
                CultureInfo.InvariantCulture,
                "сессия{}: {0:f2}",
                s.Number, 
                s.Score)));
    }
}
